{
    "$graph": [
        {
            "class": "CommandLineTool",
            "id": "#dockstore-tool-md5sum.cwl",
            "label": "Simple md5sum tool",
            "doc": "[![Docker Repository on Quay.io](https://quay.io/repository/briandoconnor/dockstore-tool-md5sum/status \"Docker Repository on Quay.io\")](https://quay.io/repository/briandoconnor/dockstore-tool-md5sum)\n[![Build Status](https://travis-ci.org/briandoconnor/dockstore-tool-md5sum.svg)](https://travis-ci.org/briandoconnor/dockstore-tool-md5sum)\nA very, very simple Docker container for the md5sum command. See the [README](https://github.com/briandoconnor/dockstore-tool-md5sum/blob/master/README.md) for more information.\n",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/briandoconnor/dockstore-tool-md5sum:1.0.4"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 1024,
                    "outdirMin": 512
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "doc": "The file that will have its md5sum calculated.",
                    "id": "#dockstore-tool-md5sum.cwl/Md5sum/input_file"
                }
            ],
            "baseCommand": [
                "/bin/my_md5sum"
            ],
            "outputs": [
                {
                    "type": "File",
                    "format": "http://edamontology.org/data_3671",
                    "outputBinding": {
                        "glob": "md5sum.txt"
                    },
                    "doc": "A text file that contains a single line that is the md5sum of the input file.",
                    "id": "#dockstore-tool-md5sum.cwl/Md5sum/output_file"
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/input_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/md5sum/output_file",
                    "id": "#main/output_file"
                }
            ],
            "steps": [
                {
                    "run": "#dockstore-tool-md5sum.cwl",
                    "in": [
                        {
                            "source": "#main/input_file",
                            "id": "#main/md5sum/input_file"
                        }
                    ],
                    "out": [
                        "#main/md5sum/output_file"
                    ],
                    "id": "#main/md5sum"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
